Package org.apache.solr.client.solrj.request

# Class ConfigSetAdminRequest.Delete

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<ConfigSetAdminResponse>
org.apache.solr.client.solrj.request.ConfigSetAdminRequest<ConfigSetAdminRequest.Delete,ConfigSetAdminResponse>
org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<ConfigSetAdminRequest.Delete>
org.apache.solr.client.solrj.request.ConfigSetAdminRequest.Delete

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse>`

public static class ConfigSetAdminRequest.Delete extends ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<ConfigSetAdminRequest.Delete>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>, ConfigSetAdminRequest.Create, ConfigSetAdminRequest.Delete, ConfigSetAdminRequest.List, ConfigSetAdminRequest.Upload`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest

`configSetName`

### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`action`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`Delete()`

## Method Summary

Modifier and Type
Method
Description
`protected ConfigSetAdminRequest.Delete`
`getThis()`

### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest

`createResponse, getConfigSetName, getParams, setConfigSetName`

### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Delete

public Delete()

## Method Details

### getThis

protected ConfigSetAdminRequest.Delete getThis()

Specified by:
  `getThis` in class `ConfigSetAdminRequest<ConfigSetAdminRequest.Delete,ConfigSetAdminResponse>`